package com.huimv.env.produce.controller;


import com.huimv.common.utils.Result;
import com.huimv.env.produce.service.DataSourceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.text.ParseException;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author zn
 * @since 2022-11-01
 */
@CrossOrigin
@RestController
@RequestMapping("/v1.0.0/datasource")
public class DataSourceController {
    @Autowired
    private DataSourceService dataSourceService;

    //查询
    @PostMapping("/getDataSource")
    public Result getDataSource(@RequestBody Map<String, String> paramsMap) throws ParseException {
        return dataSourceService.getDataSource(paramsMap);
    }

    //新增
    @PostMapping("/setDataSouce")
    public Result setDataSouce(@RequestBody Map<String, String> paramsMap) throws ParseException {
        return dataSourceService.setDataSouce(paramsMap);
    }
}

