package com.huimv.env.produce.controller;


import com.huimv.common.utils.Result;
import com.huimv.env.produce.service.FeedDayService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import java.text.ParseException;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author zn
 * @since 2022-11-03
 */
@RestController
@RequestMapping("/v1.0.0/feed")
public class FeedDayController {
    @Autowired
    private FeedDayService feedDayService;

    //查询
    @PostMapping("/getFeedCount")
    public Result getFeedCount(@RequestBody Map<String, String> paramsMap) throws ParseException {
        //
        return feedDayService.getFeedCount(paramsMap);
    }
}

